﻿using System;
using System.Collections.Generic;
using Telerik.Windows.Controls;

namespace EvalColumnDemo
{
    public class SampleData : ViewModelBase
    {
        private int productId;
        private string productName;
        private decimal price;
        private int quantity;

        public int ProductId
        {
            get
            {
                return this.productId;
            }
            set
            {
                if (value != this.productId)
                {
                    this.productId = value;
                    this.OnPropertyChanged("ProductId");
                }
            }
        }

        public string ProductName
        {
            get
            {
                return this.productName;
            }
            set
            {
                if (value != this.productName)
                {
                    this.productName = value;
                    this.OnPropertyChanged("ProductName");
                }
            }
        }

        public int Quantity
        {
            get
            {
                return this.quantity;
            }
            set
            {
                if (value != this.quantity)
                {
                    this.quantity = value;
                    this.OnPropertyChanged("Quantity");
                }
            }
        }

        public decimal Price
        {
            get
            {
                return this.price;
            }
            set
            {
                if (value != this.price)
                {
                    this.price = value;
                    this.OnPropertyChanged("Price");
                }
            }
        }

        public static IEnumerable<SampleData> GetData()
        {
            for (int i = 0; i < 10; i++)
            {
                var rand = new Random(i * (int)DateTime.Now.Ticks);
                yield return new SampleData{
                    ProductId = 100 + i,
                    Quantity = rand.Next(100),
                    Price = (decimal)(rand.NextDouble() * 200),
                    ProductName = "Product " + i
                };
            }
        }
    }
}
